PipeWire: control.c File Reference

PipeWire 0.3.1

Data Structures | Macros | Functions
control.c File Reference
Include dependency graph for control.c:

## Data Structures
struct | impl

## Macros
#define | NAME "control"

## Functions
struct pw_control * | pw_control_new (struct pw_context *context, struct pw_impl_port *port, uint32_t id, uint32_t size, size_t user_data_size)
void | pw_control_destroy (struct pw_control *control)
SPA_EXPORT struct pw_impl_port * | pw_control_get_port (struct pw_control *control)
| Get the control parent port or NULL when not set. More...
SPA_EXPORT void | pw_control_add_listener (struct pw_control *control, struct spa_hook *listener, const struct pw_control_events *events, void *data)
| Add an event listener on the control. More...
SPA_EXPORT int | pw_control_add_link (struct pw_control *control, uint32_t cmix, struct pw_control *other, uint32_t omix, struct pw_control_link *link)
SPA_EXPORT int | pw_control_remove_link (struct pw_control_link *link)

## Macro Definition Documentation

## ◆ NAME

#define NAME "control"

## Function Documentation

## ◆ pw_control_add_link()

SPA_EXPORT int pw_control_add_link | ( | struct pw_control * | control,
|  | uint32_t | cmix,
|  | struct pw_control * | other,
|  | uint32_t | omix,
|  | struct pw_control_link * | link
| ) |  |

References control::id, impl::mem, NAME, pw_log::pw_log_debug, PW_MEMBLOCK_FLAG_MAP, PW_MEMBLOCK_FLAG_READWRITE, PW_MEMBLOCK_FLAG_SEAL, pw_memblock::pw_mempool_alloc(), and res.

## ◆ pw_control_add_listener()

SPA_EXPORT void pw_control_add_listener | ( | struct pw_control * | control,
|  | struct spa_hook * | listener,
|  | const struct pw_control_events * | events,
|  | void * | data
| ) |  |

Add an event listener on the control.

## ◆ pw_control_destroy()

void pw_control_destroy | ( | struct pw_control * | control | ) |

References control::link, impl::mem, NAME, pw_control_remove_link(), and pw_log::pw_log_debug.

Referenced by pw_impl_port_destroy().

## ◆ pw_control_get_port()

SPA_EXPORT struct pw_impl_port* pw_control_get_port | ( | struct pw_control * | control | ) |

Get the control parent port or NULL when not set.

## ◆ pw_control_new()

struct pw_control* pw_control_new | ( | struct pw_context * | context,
|  | struct pw_impl_port * | port,
|  | uint32_t | id,
|  | uint32_t | size,
|  | size_t | user_data_size
| ) |  |

References id, NAME, pw_log::pw_log_debug, and impl::this.

## ◆ pw_control_remove_link()

SPA_EXPORT int pw_control_remove_link | ( | struct pw_control_link * | link | ) |

References NAME, pw_log::pw_log_debug, and res.

Referenced by pw_control_destroy().